<app-base-layout [enableMobileHeader]="true" title="My Investments">
    <div class="container">
    <div class="my-investment-wrapper mt-lg-5">
        <div class="row card-headers d-none">
          <div
            class="d-lg-none separator"
            style="width: 100%; height: 26px"
          ></div>
          <div class="col card-title">
            <span>My Investments</span>
          </div>
          <div class="col-auto card-action d-lg-inline d-none">
            <a >View all Investments</a>
          </div>
          <div class="separator" style="width: 100%; height: 13px"></div>
        </div>
        <div class="row d-none">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                      <span class="card-text"
                        >Looks like you have no Stock or ETF’s investment yet. Let’s
                        start investing, Tap on invest now.</span
                      >
                      <div class="separator" style="width: 100%; height: 12px"></div>
                      <div class="text-right">
                        <a href="#" class="card-link">Invest Now</a>
                      </div>
                    </div>
                  </div>
            </div>
        </div>
        <div class="row">
          <div class="col-lg-6 px-lg-3 mb-0 mb-lg-4" *ngFor="let item of myInvestementData">
            <app-investment-info-card 
            companyId = "{{item.companyId}}"
            quantity = "{{item.quantity}}"
            company_name ="{{item.name}}"
            current_price = "{{item.price}}"
            buy_price = "{{item.buyPrice}}"
            ></app-investment-info-card>
          </div>
        </div>
      </div>
    </div>
</app-base-layout>
